## ros-indigo-ubiquity-launches 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ubiquity_launches)

find_package(catkin REQUIRED)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
catkin_package()

###########
## Build ##
###########

#############
## Install ##
#############
install(PROGRAMS
  bin/keyboard_drive
  bin/keyboard_navigate

  bin/loki_joystick_teleop
  bin/loki_local_costmap
  bin/loki_raspicam90
  bin/loki_rviz_local_costmap
  bin/loki_rviz_sonar

  bin/platform_probe
  bin/raspicam
  bin/raspicam_view
  bin/robot_base
  bin/roslauncher

  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)


install(DIRECTORY m_fiducial_slam/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/m_fiducial_slam
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY m_joystick_teleop/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/m_joystick_teleop
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY m_keyboard_drive/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/m_keyboard_drive
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY m_keyboard_navigate/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/m_keyboard_navigate
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY m_move_base/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/m_move_base
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY m_move_base_view/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/m_move_base_view
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY m_raspicam_raw/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/m_raspicam_raw
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY m_raspicam_view/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/m_raspicam_view
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY m_robot_base/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/m_robot_base
  PATTERN ".svn" EXCLUDE)




install(DIRECTORY n_amcl/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/n_amcl
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY n_bus_server/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/n_bus_server
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY n_camera/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/n_camera
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY n_cmd_vel_mux/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/n_cmd_vel_mux
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY n_fiducial_detect/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/n_fiducial_detect
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY n_fiducial_slam/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/n_fiducial_slam
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY n_image_uncompress/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/n_image_uncompress
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY n_joy/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/n_joy
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY n_keyboard_navigate/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/n_keyboard_navigate
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY n_map_server/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/n_map_server
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY n_motor_node/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/n_motor_node
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY n_move_base/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/n_move_base
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY n_raspicam/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/n_raspicam
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY n_relay/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/n_relay
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY n_robot_state_publisher/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/n_robot_state_publisher
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY n_rqt_image_view/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/n_rqt_image_view
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY n_rviz/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/n_rviz
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY n_sleep_forever/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/n_sleep_forever
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY n_spawner/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/n_spawner
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY n_teleop_twist_joy/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/n_teleop_twist_joy
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY n_teleop_twist_keyboard/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/n_teleop_twist_keyboard
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY rviz_local_costmap/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rviz_local_costmap
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY rviz_sonar/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rviz_sonar
  PATTERN ".svn" EXCLUDE)

=== debian/changelog ===
ros-indigo-ubiquity-launches (0.2.1-0trusty) trusty; urgency=high

  * Restore motor_node which was deleted
  * Contributors: Rohan Agrawal

 -- Wayne Gramlich <wayne@gramlich.net>  Thu, 18 Feb 2016 08:00:00 -0000

ros-indigo-ubiquity-launches (0.2.0-0trusty) trusty; urgency=high

  * Update Cmakelists
  * Restored n_move_base which I accidentally removed.
  * Added travis build status to README
  * use bash || for testing both ssh commands
  * Hack in automatic user detection in roslauncher
  * Replace all the old loki_camera stuff with raspicam and raspicam_view
  * Got raspicam_view to work with new machine tag args
  * Got m_raspicam_raw to work with new machine infasrtuture
  * Replaced loki_base and magni_base with unified robot_base script
  * Update m_move_base to reflect move of cmd_vel_mux
  * Add all required things to sim
  * Change default machine for n_relay to robot
  * Machine tag in n_relay
  * Moved machine def to the top of m_sim_base
  * Move turtlebot_model to m_sim_base
  * Using robot_base instead of stage_ros directly
  * Support sim in robot_base
  * Use not shutdown loop instead of infinite loop
  * launching cmd_vel_mux with include
  * Made cmd_vel_mux launcher (uses nodelets)
  * Passing machine_name from m_move_base
  * Machine name argumentizeation for rsp
  * removed unnessary machine definition
  * Further adding of machine_name args
  * Added viewer args to more stuff
  * Argument-zied machine name with reasonable defaults
  * Pass robot host/user to amcl and map_server instead of viewer
  * n_amcl and n_map_server now use machine_host and user
  * Passing viewer/robot on keyboard_nav and move_base_view
  * Have m_move_base require all nessacary args
  * Removed old refrences to keyboard_drive
  * n_rviz run through ssh
  * Launch keyboard_naviagte though ssh to viewer
  * Merged branch master into master
  * Using ssh to localhost to run teleop
  * Use generic machine args for loki_base nodes
  * Add teleop_twist_keyboard with any machine format
  * Merge branch 'master' of https://github.com/UbiquityRobotics/ubiquity_launches
  * Banged together bin/yaml2launch.py
  * Using move_base_view as the starter
  * Luanch -> Launch
  * Move viz to move_base_view
  * Launching cmd_vel_mux on remote
  * Fixed Typo, moved back to whoami
  * New line for clarity of nodelet stuff
  * More renaming to keyboard_navigate
  * Output screen on teleop to make sure that we can see the output
  * fix missing end bracket
  * Switch robot_name to correct robot_host
  * Robot_base launch is not xml
  * fixed bug of mb vs rb
  * Remo.ved an. exce.ess. period. in. fil.na.me
  * Using ubuntu as user instead of whoami
  * Change keyboard_drive to launch.xml
  * Added keyboard_drive to unified-ily teleop
  * Removed buggy space
  * Rename folder for keyboard drive as well
  * rename keyboard_drive to keyboard_navigate
  * We ha`d an acc`ess of ac`cent ma`rks, it has been rectified
  * Fixed always on roscore documentation
  * Update Cmakelists to not fail on build
  * Make sure robot_platform is being sent to loki_base correctly
  * Using robot_base to auto switch between loki and magni
  * Consolidate loki and magni base into robot base
  * Get rid of loki_serial_master
  * More tweaking of m_move_base.launch.xml
  * More conversion of move_base.
  * Starting to de-turtlebot m_move_base.
  * Fixed raspicam_view
  * Convert robot_base to robot_platform
  * More launch file work.
  * Fixed some typos
  * Added recipe to configure Ubiquity Robotics development environment.
  * Merge branch 'master' of https://github.com/UbiquityRobotics/ubiquity_launches
  * Remove old ros_launcher.py program
  * Added n_sleep_forever to bring up roscore using robot_upstart package.
  * More unified launch file development
  * More work on unified launch files.
  * Renamved platform_probe.py to platform_probe.
  * Merge branch 'master' of https://github.com/UbiquityRobotics/ubiquity_launches
  * Changed platform to robot_base
  * Some more work on unified launch files.
  * Updated test.launch and urtest.sh
  * Fixed a typo.
  * Tweaked up bin/test.launch and bin/urtest.sh to work with one another.
  * Merge branch 'master' of https://github.com/UbiquityRobotics/ubiquity_launches
  * Added platform_probe.py and ros_launche.pry to ubiquity_launches/bin
  * Fixed up robot.py
  * Added platform_probe.py and roscore_start.sh to ubiquity_launche/bin
  * Contributors: Rohan Agrawal, Wayne C. Gramlich, Wayne Gramlich
  * Added travis build status to README
  * use bash || for testing both ssh commands
  * Hack in automatic user detection in roslauncher
  * Replace all the old loki_camera stuff with raspicam and raspicam_view
  * Got raspicam_view to work with new machine tag args
  * Got m_raspicam_raw to work with new machine infasrtuture
  * Replaced loki_base and magni_base with unified robot_base script
  * Update m_move_base to reflect move of cmd_vel_mux
  * Add all required things to sim
  * Change default machine for n_relay to robot
  * Machine tag in n_relay
  * Moved machine def to the top of m_sim_base
  * Move turtlebot_model to m_sim_base
  * Using robot_base instead of stage_ros directly
  * Support sim in robot_base
  * Use not shutdown loop instead of infinite loop
  * launching cmd_vel_mux with include
  * Made cmd_vel_mux launcher (uses nodelets)
  * Passing machine_name from m_move_base
  * Machine name argumentizeation for rsp
  * removed unnessary machine definition
  * Further adding of machine_name args
  * Added viewer args to more stuff
  * Argument-zied machine name with reasonable defaults
  * Pass robot host/user to amcl and map_server instead of viewer
  * n_amcl and n_map_server now use machine_host and user
  * Passing viewer/robot on keyboard_nav and move_base_view
  * Have m_move_base require all nessacary args
  * Removed old refrences to keyboard_drive
  * n_rviz run through ssh
  * Launch keyboard_naviagte though ssh to viewer
  * Merged branch master into master


=== debian/control ===
Source: ros-indigo-ubiquity-launches
Section: misc
Priority: extra
Maintainer: Wayne Gramlich <wayne@gramlich.net>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-ubiquity-launches
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Robot Configurations

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ubiquity-launches//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
